Gem::Specification.new do |s|
  s.name = %q{htauth}
  s.version = "1.0.1"

  s.required_rubygems_version = nil if s.respond_to? :required_rubygems_version=
  s.authors = ["Jeremy Hinegardner"]
  s.cert_chain = nil
  s.date = %q{2008-02-06}
  s.description = %q{HTAuth is a pure ruby replacement for the Apache support programs htdigest and htpasswd.  Command line and API access are provided for access to htdigest and htpasswd files.}
  s.email = %q{jeremy@hinegardner.org}
  s.executables = ["htdigest-ruby", "htpasswd-ruby"]
  s.extra_rdoc_files = ["CHANGES", "LICENSE", "README"]
  s.files = ["spec/crypt_spec.rb", "spec/digest_entry_spec.rb", "spec/digest_file_spec.rb", "spec/digest_spec.rb", "spec/md5_spec.rb", "spec/passwd_entry_spec.rb", "spec/passwd_file_spec.rb", "spec/passwd_spec.rb", "spec/plaintext_spec.rb", "spec/sha1_spec.rb", "spec/spec_helper.rb", "spec/test.add.digest", "spec/test.add.passwd", "spec/test.delete.digest", "spec/test.delete.passwd", "spec/test.original.digest", "spec/test.original.passwd", "spec/test.update.digest", "spec/test.update.passwd", "CHANGES", "LICENSE", "README", "lib/htauth/algorithm.rb", "lib/htauth/crypt.rb", "lib/htauth/digest.rb", "lib/htauth/digest_entry.rb", "lib/htauth/digest_file.rb", "lib/htauth/entry.rb", "lib/htauth/file.rb", "lib/htauth/gemspec.rb", "lib/htauth/md5.rb", "lib/htauth/passwd.rb", "lib/htauth/passwd_entry.rb", "lib/htauth/passwd_file.rb", "lib/htauth/plaintext.rb", "lib/htauth/sha1.rb", "lib/htauth/specification.rb", "lib/htauth/version.rb", "lib/htauth.rb", "bin/htdigest-ruby", "bin/htpasswd-ruby"]
  s.has_rdoc = true
  s.homepage = %q{http://copiousfreetime.rubyforge.org/htauth}
  s.post_install_message = %q{Try out 'htpasswd-ruby' or 'htdigest-ruby' to get started.
}
  s.rdoc_options = ["--line-numbers", "--inline-source", "--main", "README", "--title", "'htauth -- HTAuth provides htdigest and htpasswd support.'"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new("> 0.0.0")
  s.rubyforge_project = %q{copiousfreetime}
  s.rubygems_version = %q{1.2.0}
  s.summary = %q{HTAuth provides htdigest and htpasswd support.}
  s.test_files = ["spec/crypt_spec.rb", "spec/digest_entry_spec.rb", "spec/digest_file_spec.rb", "spec/digest_spec.rb", "spec/md5_spec.rb", "spec/passwd_entry_spec.rb", "spec/passwd_file_spec.rb", "spec/passwd_spec.rb", "spec/plaintext_spec.rb", "spec/sha1_spec.rb", "spec/spec_helper.rb", "spec/test.add.digest", "spec/test.add.passwd", "spec/test.delete.digest", "spec/test.delete.passwd", "spec/test.original.digest", "spec/test.original.passwd", "spec/test.update.digest", "spec/test.update.passwd"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 1

    if current_version >= 3 then
      s.add_runtime_dependency(%q<rake>, ["> 0.0.0"])
      s.add_runtime_dependency(%q<highline>, [">= 1.4.0"])
    else
      s.add_dependency(%q<rake>, ["> 0.0.0"])
      s.add_dependency(%q<highline>, [">= 1.4.0"])
    end
  else
    s.add_dependency(%q<rake>, ["> 0.0.0"])
    s.add_dependency(%q<highline>, [">= 1.4.0"])
  end
end
